/*
 *   $Id: log.c,v 1.8 2025/04/04 02:12:25 snw Exp $
 *    freem error logging
 *
 *  
 *   Author: Serena Willis <snw@coherent-logic.com>
 *    Copyright (C) 1998 MUG Deutschland
 *    Copyright (C) 2020, 2025 Coherent Logic Development LLC
 *
 *
 *   This file is part of FreeM.
 *
 *   FreeM is free software: you can redistribute it and/or modify
 *   it under the terms of the GNU Affero Public License as published by
 *   the Free Software Foundation, either version 3 of the License, or
 *   (at your option) any later version.
 *
 *   FreeM is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU Affero Public License for more details.
 *
 *   You should have received a copy of the GNU Affero Public License
 *   along with FreeM.  If not, see <https://www.gnu.org/licenses/>.
 *
 *   $Log: log.c,v $
 *   Revision 1.8  2025/04/04 02:12:25  snw
 *   Bump to 0.63.0-rc5 and make sure m_log function is never empty
 *
 *   Revision 1.7  2025/04/04 01:18:21  snw
 *   Remove vestigial logging code and bump to 0.63.0-rc4
 *
 *   Revision 1.6  2025/04/01 23:21:45  snw
 *   fmadm commands for stopping, starting, and restarting environments now functional
 *
 *   Revision 1.5  2025/04/01 20:11:46  snw
 *   Further work on fmadm
 *
 *   Revision 1.4  2025/03/09 19:50:47  snw
 *   Second phase of REUSE compliance and header reformat
 *
 *
 * SPDX-FileCopyrightText:  (C) 2025 Coherent Logic Development LLC
 * SPDX-License-Identifier: AGPL-3.0-or-later
 **/

#include <stdio.h>
#include <string.h>
#if defined(__linux__) | defined(__FreeBSD__) | defined(__sun__)
# include <syslog.h>
#endif
#include <stdlib.h>

#include "mpsdef.h"

void m_log (int level, const char *msg)
{

    
#if defined(__linux__) | defined(__FreeBSD__) | defined(__sun__)
    syslog (level, "%s", msg);
#endif

    return;
    
}
