/*
 *   $Id: mref.h,v 1.3 2025/03/09 19:50:47 snw Exp $
 *    supporting functions for handling freem_ref_t structures
 *
 *  
 *   Author: Serena Willis <snw@coherent-logic.com>
 *    Copyright (C) 1998 MUG Deutschland
 *    Copyright (C) 2020, 2025 Coherent Logic Development LLC
 *
 *
 *   This file is part of FreeM.
 *
 *   FreeM is free software: you can redistribute it and/or modify
 *   it under the terms of the GNU Affero Public License as published by
 *   the Free Software Foundation, either version 3 of the License, or
 *   (at your option) any later version.
 *
 *   FreeM is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU Affero Public License for more details.
 *
 *   You should have received a copy of the GNU Affero Public License
 *   along with FreeM.  If not, see <https://www.gnu.org/licenses/>.
 *
 *   $Log: mref.h,v $
 *   Revision 1.3  2025/03/09 19:50:47  snw
 *   Second phase of REUSE compliance and header reformat
 *
 *
 * SPDX-FileCopyrightText:  (C) 2025 Coherent Logic Development LLC
 * SPDX-License-Identifier: AGPL-3.0-or-later
 **/

#if !defined(_MREF_H)
#define _MREF_H

#include "freem.h"

extern freem_ref_t *mref_init (freem_ref_t *ref, short ref_type, char *name);
extern char *mref_get_subscript (freem_ref_t *ref, int index);
extern freem_ref_t *mref_set_subscript (freem_ref_t *ref, int index, char *value);
extern void mref_to_internal_prealloc (char *res, freem_ref_t *ref);
extern char *mref_to_internal (freem_ref_t *ref);
extern freem_ref_t *internal_to_mref (freem_ref_t *ref, char *key);
extern void mref_to_external (freem_ref_t *ref, char *buf);
extern short mref_is_descendant(freem_ref_t *a, freem_ref_t *b);
#endif
