/*
 *   $Id: objects.h,v 1.3 2025/03/09 19:50:47 snw Exp $
 *    prototypes, structures, and macros for OO support
 *
 *  
 *   Author: Serena Willis <snw@coherent-logic.com>
 *    Copyright (C) 1998 MUG Deutschland
 *    Copyright (C) 2023, 2025 Coherent Logic Development LLC
 *
 *
 *   This file is part of FreeM.
 *
 *   FreeM is free software: you can redistribute it and/or modify
 *   it under the terms of the GNU Affero Public License as published by
 *   the Free Software Foundation, either version 3 of the License, or
 *   (at your option) any later version.
 *
 *   FreeM is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU Affero Public License for more details.
 *
 *   You should have received a copy of the GNU Affero Public License
 *   along with FreeM.  If not, see <https://www.gnu.org/licenses/>.
 *
 *   $Log: objects.h,v $
 *   Revision 1.3  2025/03/09 19:50:47  snw
 *   Second phase of REUSE compliance and header reformat
 *
 *
 * SPDX-FileCopyrightText:  (C) 2025 Coherent Logic Development LLC
 * SPDX-License-Identifier: AGPL-3.0-or-later
 **/

#if !defined(_FREEM_OBJECTS_H)
# define _FREEM_OBJECTS_H
extern void obj_init(void);
extern short obj_is_field_private(char *key);
extern void obj_set_field_private(char *key);
extern void obj_set_field_public(char *key);
extern short obj_is_object(char *inst);
extern short obj_instance_of(char *inst, char *class);
extern void obj_set_attribute(char *inst, char *attrib, char *value);
extern short obj_get_attribute(char *inst, char *attrib, char *buf);
extern void obj_destroy(char *inst);
extern void obj_create_symbols(char *objvar, char *class);
extern void obj_get_constructor(char *constructor, char *class, char *instvar);

#endif
